CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2014-3635

Off-by-one error in D-Bus 1.3.0 through 1.6.x before 1.6.24 and 1.8.x before 1.8.8, when running on a 64-bit system and the max_message_unix_fds limit is set to an odd number, allows local users to cause a denial of service (dbus-daemon crash) or possibly execute arbitrary code by sending one more file descriptor than the limit, which triggers a heap-based buffer overflow or an assertion failure.
Publish Date : 2014-09-22 Last Update Date : 2018-10-30
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
4.4
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of ServiceExecute CodeOverflow
CWE ID 119

- Related OVAL Definitions

Title Definition Id Class Family
DSA-3026-1 dbus - security update oval:org.mitre.oval:def:26771 unix
USN-2352-1 -- dbus vulnerabilities oval:org.mitre.oval:def:26553 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2014-3635

# Product Type Vendor Product Version Update Edition Language
1 Application D-bus Project D-bus 1.6.0 Version Details Vulnerabilities
2 Application D-bus Project D-bus 1.6.2 Version Details Vulnerabilities
3 Application D-bus Project D-bus 1.6.4 Version Details Vulnerabilities
4 Application D-bus Project D-bus 1.6.6 Version Details Vulnerabilities
5 Application D-bus Project D-bus 1.6.8 Version Details Vulnerabilities
6 Application D-bus Project D-bus 1.6.10 Version Details Vulnerabilities
7 Application D-bus Project D-bus 1.6.12 Version Details Vulnerabilities
8 Application D-bus Project D-bus 1.6.14 Version Details Vulnerabilities
9 Application D-bus Project D-bus 1.6.16 Version Details Vulnerabilities
10 Application D-bus Project D-bus 1.6.18 Version Details Vulnerabilities
11 Application D-bus Project D-bus 1.6.20 Version Details Vulnerabilities
12 Application D-bus Project D-bus 1.6.22 Version Details Vulnerabilities
13 Application D-bus Project D-bus 1.8.0 Version Details Vulnerabilities
14 Application D-bus Project D-bus 1.8.2 Version Details Vulnerabilities
15 Application D-bus Project D-bus 1.8.4 Version Details Vulnerabilities
16 Application D-bus Project D-bus 1.8.6 Version Details Vulnerabilities
17 OS Opensuse Opensuse 12.3 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
D-bus Project D-bus 16
Opensuse Opensuse 1

- References For CVE-2014-3635

http://www.securitytracker.com/id/1030864
SECTRACK 1030864
https://bugs.freedesktop.org/show_bug.cgi?id=83622 CONFIRM
http://www.ubuntu.com/usn/USN-2352-1
UBUNTU USN-2352-1
http://www.oracle.com/technetwork/topics/security/bulletinapr2016-2952098.html CONFIRM
http://www.debian.org/security/2014/dsa-3026
DEBIAN DSA-3026
http://www.openwall.com/lists/oss-security/2014/09/16/9
MLIST [oss-security] 20140916 CVE-2014-3635 to 3639: security issues in D-Bus < 1.8.8
http://lists.opensuse.org/opensuse-updates/2014-09/msg00049.html
SUSE openSUSE-SU-2014:1239
http://advisories.mageia.org/MGASA-2014-0395.html CONFIRM

- Metasploit Modules Related To CVE-2014-3635

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.